org.apache.cxf.feature.transform

## Class XSLTFeature

- java.lang.Object
- - javax.xml.ws.WebServiceFeature
  - - org.apache.cxf.feature.AbstractFeature
    - - org.apache.cxf.feature.transform.XSLTFeature

- All Implemented Interfaces:
    Feature

      public class XSLTFeature
      extends AbstractFeature

  This class defines a feature is used to transform message using XSLT script. If this feature is present and inXSLTPath/outXLSTPath are initialised, client and endpoint will transform incoming and outgoing messages correspondingly. Attention: actually the feature breaks streaming (can be fixed in further versions when XSLT engine supports XML stream).

- - ### Field Summary

    - ### Fields inherited from class javax.xml.ws.WebServiceFeature

      `enabled`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XSLTFeature()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `initializeProvider(InterceptorProvider provider, Bus bus)`
    `void` | `setInXSLTPath(String inXSLTPath)`
    `void` | `setOutXSLTPath(String outXSLTPath)`

    - ### Methods inherited from class org.apache.cxf.feature.AbstractFeature

      `getActive, getID, initialize, initialize, initialize, initialize`

    - ### Methods inherited from class javax.xml.ws.WebServiceFeature

      `isEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XSLTFeature

          public XSLTFeature()

  - ### Method Detail

    - #### initializeProvider

          protected void initializeProvider(InterceptorProvider provider,
                                            Bus bus)

      Overrides:
        `initializeProvider` in class `AbstractFeature`

    - #### setInXSLTPath

          public void setInXSLTPath(String inXSLTPath)

    - #### setOutXSLTPath

          public void setOutXSLTPath(String outXSLTPath)

Apache CXF